Notifications
Returns a paginated list of notifications for the user
Authorizations
AuthorizationstringRequired
Insert the JWT token here
Query parameters
pageSizenumber · min: 1 · max: 1000OptionalDefault:
Number of notifications to return
100Responses
200
Default Response
application/json
statusnumberOptionalExample:
200400
Bad Request
application/json
401
Unauthorized - The request requires a valid Bearer token.
To access this endpoint:
1. Make a POST request to /api/public/v1/auth with valid credentials to obtain the access token.
2. Click the "Authorize" button in the Swagger UI and enter the token.
3. All protected endpoints require the Authorization header: "Authorization: 'Bearer your-access-token'"
application/json
500
Internal Server Error
application/json
503
Service Unavailable — Connection Refused
application/json
get/api/public/v3/notifications
GET /api/public/v3/notifications HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"status": 200,
"data": [
{
"title": "text",
"text": "text",
"target": "123e4567-e89b-12d3-a456-426614174000",
"lang": "en",
"origin": "text",
"readStatus": false,
"_id": "123e4567-e89b-12d3-a456-426614174000",
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z"
}
]
}Creates a new notification
Authorizations
AuthorizationstringRequired
Insert the JWT token here
Body
titlestringRequired
Notification title
textstringRequired
Notification text
targetstring · uuidRequired
Target user UUID
langstringOptionalDefault:
Language code (e.g., en)
enoriginstring · nullableOptionalDefault:
Origin of the notification
nullreadStatusbooleanOptionalDefault:
Read status of the notification
falseResponses
201
Default Response
application/json
statusintegerRequiredExample:
201messagestringRequiredExample:
Notification Created400
Bad Request
application/json
401
Unauthorized - The request requires a valid Bearer token.
To access this endpoint:
1. Make a POST request to /api/public/v1/auth with valid credentials to obtain the access token.
2. Click the "Authorize" button in the Swagger UI and enter the token.
3. All protected endpoints require the Authorization header: "Authorization: 'Bearer your-access-token'"
application/json
500
Internal Server Error
application/json
503
Service Unavailable — Connection Refused
application/json
post/api/public/v3/notifications
POST /api/public/v3/notifications HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 142
{
"title": "New Mention",
"text": "Data_Steward mentioned you in a comment on AWS S3 LDC Test_1.",
"target": "0081abdb-7904-400b-aaac-e1a2365192a0"
}{
"status": 201,
"message": "Notification Created"
}Last updated
Was this helpful?

